/* =============================================
components
パーツ類：吹き出し、背景、aタグ関係など
layout.cssと分割
============================================= */
/* hukidashi */
.hukidashi {
	display: inline-block;
	background-color: var(--yellow);
	border: solid 7px #000;
	padding: 12px 28px;
	position: relative;
	font-size: 22px;
	font-weight: 900;
	border-radius: 100px;
	text-align: center;
	line-height: 1.15;
	margin: 0 auto 50px auto;
}

.hukidashi:after {
	content: "";
	position: absolute;
	left: 0;
	right: 0;
	bottom: -44px;
	margin: auto;
	width: 27px;
	height: 44px;
	background-image: url(../img/top/hukidashi_arrow.svg);
	background-size: contain;
	background-position: top center;
	background-repeat: no-repeat;
}

.hukidashi_btn_pink {
	background-color: var(--btn_pink);
	color: #FFF;
}

.hukidashi_btn_blue {
	background-color: var(--btn_blue);
	color: #000;
}

.hukidashi_btn_yellow {
	background-color: var(--yellow);
	color: #000;
}

.hukidashi.hukidashi_pink {
	background-color: var(--pink);
	color: #FFF;
	padding: 12px 24px;
}

.hukidashi.hukidashi_pink .bg_white {
	background-color: #FFF;
	color: var(--pink);
	border-radius: 100%;
	width: 30px;
	height: 30px;
	margin: 0 2px 4px 2px;
	font-size: 20px;
	display: inline-flex;
	justify-content: center;
	align-items: center;
}

/* box */
.event_box_wrap {
	display: grid;
	grid-template-columns: repeat(3, 1fr);
	gap: 1em;
	padding: 4px;
	box-sizing: border-box;
}

.event_box_wrap .event_box {
	background-color: #FFF;
	border-radius: 15px;
	position: relative;
	filter: drop-shadow(0 0 6px rgba(0 0 0 / .25));
	margin-bottom: 6px;
	overflow: hidden;
}

.event_box_wrap .event_box h3 {
	padding: 28px 0 22px 0;
	text-align: center;
	font-size: 24px;
	font-weight: bold;
	border-bottom: solid 1px var(--pink);
	margin: 0 18px;
}

.event_box_wrap .event_box ul {
	padding-left: 52px;
	margin-block: 1em;
}

.event_box_wrap .event_box ul li {
	position: relative;
	margin-bottom: 4px;
}

.event_box_wrap .event_box ul li:before {
	content: "";
	position: absolute;
	width: 20px;
	height: 20px;
	left: -26px;
	top: 2px;
	background-image: url(../img/common/pink_check.svg);
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center center;
}

.event_box_wrap .event_box:hover .hover_text {
	max-height: 500px;
	color: #FFF;
	opacity: 1;
	padding-bottom: 160px;
}

.event_box_wrap .event_box .hover_text {
	overflow: hidden;
	opacity: 0;
	position: absolute;
	width: 100%;
	height: 100%;
	max-height: 0;
	left: 0;
	top: 0;
	background: linear-gradient(to bottom, rgb(0 0 0 / 60%), rgb(0 0 0 / 15%));
	display: flex;
	justify-content: center;
	align-items: center;
	padding-bottom: 0;
	font-size: 20px;
	font-weight: bold;
	border-radius: 15px;
	color: transparent;
	transition: 0.2s ease;
}

.event_box_wrap .event_box .hover_text .jump_mark {
	color: #FFF;
	margin: 0;
}

@media screen and (max-width: 767px) {
	.event_box_wrap {
		gap: 0;
		padding: 0;
	}
}

/* service_type_list */
.service_type_list {
	display: flex;
	justify-content: center;
	flex-wrap: wrap;
	gap: 20px 26px;
	padding: 0;
	margin-block: 1em;
}

.service_type_list .in {
	padding: 17px 24px;
	background-color: #FFF;
	border: solid 3px #000;
	border-radius: 10px;
}

.service_type_list li {
	flex-basis: 200px;
	position: relative;
	background-color: #FFF;
	text-align: center;
	box-sizing: border-box;
	font-weight: bold;
	line-height: 1.25;
	display: flex;
	flex-direction: column;
}

.service_type_list li:before {
	content: "";
	position: absolute;
	right: -8px;
	bottom: -8px;
	width: 100%;
	height: 100%;
	border-radius: 10px;
	background-image: radial-gradient(circle, #000000 2px, transparent 2px), radial-gradient(circle, #000000 2px, transparent 2px);
	background-position: 0 0, 4px 6px;
	background-size: 8px 12px;
	z-index: -1;
}

.service_type_list img {
	width: auto;
	height: 70px;
	object-fit: contain;
	margin: 0 auto;
}

.service_type_list p {
	margin: 8px auto 0 auto;
	height: 40px;
	display: flex;
	justify-content: center;
	align-items: center;
}

@media screen and (max-width: 767px) {
	.service_type_list {
		gap: 12px;
	}

	.service_type_list li {
		flex-basis: 100px;
		padding: 0;
		font-size: 10px;
	}

	.service_type_list img {
		height: 40px;
	}

	.service_type_list .in {
		padding: 12px 12px;
	}
}


/* search_tax_tags */

.search_tax_tags {
	background-color: var(--white_pink);
	color: var(--pink);
	padding: 24px;
	margin-top: 32px;
	border-radius: 10px;
}

.search_tax_tags ul {
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	gap: 14px 18px;
	padding: 0;
	margin-block: 1em;
}

.search_tax_tags ul>li {
	font-weight: 700;
	line-height: 1;
	text-align: center;
	border-radius: 9999px;
	font-size: clamp(10px, 1.1vw, 14px);
	background-color: #FFF;
	color: var(--pink);
	transition: 0.2s ease;
	filter: drop-shadow(0px 0px 4px rgba(0 0 0 / .25));
	width: calc((100% - 18px * 4) / 5);
}

.search_tax_tags ul>li a {
	padding: 1em .5em;
	display: flex;
	align-items: center;
	justify-content: center;
}

.search_tax_tags ul>li {
	position: relative;
	overflow: hidden;
	z-index: 1;
}

.search_tax_tags ul>li:before {
	content: "";
	position: absolute;
	top: 0;
	left: -100%;
	width: 100%;
	height: 100%;
	background-color: var(--pink);
	transition: 0.2s ease;
	z-index: -1;
}

.search_tax_tags ul>li:hover:before,
.search_tax_tags ul>li.current:before {
	left: 0;
}

.search_tax_tags ul>li:hover a,
.search_tax_tags ul>li.current a {
	color: #FFF;
}

@media screen and (max-width: 767px) {
	.search_tax_tags {
		text-align: center;
		padding: 12px;
	}

	.search_tax_tags h3 {
		font-size: 20px;
	}

	.search_tax_tags ul {
		gap: 8px;
	}

	.search_tax_tags ul>li {
		border: none;
		box-shadow: 0 0 4px rgb(0 0 0 / 25%);
		font-size: 10px;
		flex-basis: calc((100% - 8px) / 2);
	}

	.search_tax_tags ul>li a {
		padding: 12px 8px;
	}
}

/* banner　*/

.banner_block {
	background-color: #FFF;
	border-radius: 10px;
	box-shadow: 2px 2px 4px rgb(0 0 0 / 25%);
	padding: 28px 0;
	text-align: center;
}

.event_banners.swiper {
	overflow: hidden;
	width: 100%;
	padding: 0 20px;
}

.event_banners .swiper-slide {
	width: 40%;
	height: auto;
}

.event_banners .swiper-slide img {
	width: 100%;
	display: block;
}

/* bg */
.bg_shodow_dots {
	position: relative;
	z-index: 0;
}

.bg_shodow_dots::before {
	content: "";
	position: absolute;
	width: 100%;
	height: 100%;
	top: 1rem;
	right: -1rem;
	background-image: radial-gradient(circle, #000000 2px, transparent 2px), radial-gradient(circle, #000000 2px, transparent 2px);
	background-position: 0 0, 4px 6px;
	background-size: 8px 12px;
	z-index: -1;
}

.bg_babbles {
	background-image: url(../img/common/bg_babbles.svg);
	background-size: auto 100%;
	background-position: top center;
	background-repeat: no-repeat;
}

.bg_before_babbles {
	position: relative;
	z-index: 1;
}

.bg_before_babbles::before {
	content: "";
	position: absolute;
	bottom: -36px;
	width: 100%;
	height: 300px;
	background-image: url(../img/common/bg_before_babbles.svg);
	background-repeat: no-repeat;
	background-position: center;
	z-index: -1;
}

.bg_pink {
	background-color: var(--white_pink);
}

.bg_yellow {
	background-color: var(--light_yellow);
}

/* title */
.t_between_bubbles {
	position: relative;
	z-index: 0;
}

.t_between_bubbles:before,
.t_between_bubbles:after {
	content: "";
	position: absolute;
	width: 225px;
	height: 158px;
	top: -36px;
	background-image: url(../img/common/t_babbles_left.svg);
	background-size: contain;
	background-repeat: no-repeat;
	z-index: -1;
}

.t_between_bubbles:before {
	left: 0;
}

.t_between_bubbles:after {
	right: 0;
	background-image: url(../img/common/t_babbles_right.svg);
}

/* a tag */
.jump_mark {
	position: relative;
	font-weight: bold;
	margin-right: 40px;
	padding-right: 28px;
	transition: 0.2s ease;
	color: var(--blue);
}

.jump_mark:after {
	content: "";
	position: absolute;
	right: 0;
	top: 0;
	bottom: 0;
	margin: auto;
	width: 18px;
	height: 18px;
	background-image: url(../img/top/pink_arrow.svg);
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center center;
	transition: 0.2s ease;
}

.jump_mark:hover:after {
	right: -3px;
}

.hover_underline {
	position: relative;
	transition: 0.2s ease;
}

.hover_underline:before {
	content: "";
	position: absolute;
	bottom: -2px;
	left: 0;
	width: 0;
	height: 2px;
	background-color: var(--blue);
	transition: 0.2s ease;
}

.hover_underline:hover:before {
	width: 100%;
}

/* problem_block */
.problem_block {
	border: solid 7px #000;
	position: relative;
	background-color: #FFF;
	position: relative;
	z-index: 1;
	margin-right: 20px;
	margin-bottom: 20px;
}

.problem_block h3 {
	background-color: var(--pink);
	color: #FFF;
	padding: 10px 0;
	padding-left: 340px;
	font-size: 32px;
}

.problem_block .content {
	display: grid;
	grid-template-columns: repeat(3, 1fr);
	gap: 0 28px;
	padding: 28px 40px 28px 40px;
}

.problem_block .circle {
	text-align: right;
	width: 145px;
	height: 145px;
	background-color: var(--white_pink);
	border-radius: 100%;
	display: flex;
	justify-content: center;
	align-items: center;
	font-size: 20px;
	font-weight: 900;
	line-height: 1.3;
	margin: 0 0 36px auto;
}

.problem_block .circle .in {
	text-align: center;
}

.problem_block .pic {
	text-align: right;
	position: relative;
}

.problem_block .pic img {
	position: absolute;
	bottom: -46px;
	width: 200px;
    height: 200px;
    object-position: bottom center;
}

.problem_block .tx {
	background-color: #FFF;
	border: solid 3px #000;
	padding: 14px 16px;
	position: relative;
	box-shadow: 8px 8px 0 #000;
	transition: 0.2s ease;
}

.problem_block .tx:hover {
	translate: 3px 3px;
	box-shadow: 5px 5px 0 #000;
	background-color: var(--pink);
}

.problem_block .tx:hover dt {
	background-color: #FFF;
	color: var(--pink);
}

.problem_block .tx:hover dd {
	color: #FFF;
}

.problem_block h4 {
	font-size: 18px;
	font-weight: 900;
	margin-bottom: 12px;
}

.problem_block .tx:hover h4 {
	color: #FFF;
}

.problem_block .cont {
	display: flex;
	justify-content: center;
	gap: 0 8px;
}

.problem_block .cont .img {
	max-width: 130px;
}

.problem_block dl {
	width: calc((100% - 8px) / 2);
	display: flex;
	justify-content: left;
	align-items: flex-start;
	flex-wrap: wrap;
	gap: 8px;
	font-size: 12px;
	font-weight: bold;
}

.problem_block dt {
	background-color: var(--pink);
	color: #FFF;
	width: 38px;
	display: flex;
	justify-content: center;
	align-items: center;
}

.problem_block dd {
	width: calc(100% - 38px - 8px);
}

.problem_block .pic img.pic632 {
	left: -44px;
}

.problem_block .hukidashi.hukidashi_pink {
	width: 284px;
	rotate: -15deg;
	position: absolute;
	left: 44px;
	top: -40px;
}

@media (min-width: 768px) {
	.problem_block .problem_block_swipe .swiper-slide {
		width: auto;
		flex-shrink: unset;
	}

	.problem_block .content {
		box-sizing: border-box;
	}
}

@media screen and (max-width: 767px) {
	.problem_block {
		width: 100%;
		margin-top: 60px;
	}

	.problem_block h3 {
		padding-left: 64px;
		font-size: 20px;
	}

	.problem_block .hukidashi.hukidashi_pink {
		width: auto;
		rotate: none;
		font-size: 16px;
		padding: 8px 20px;
		left: -6px;
		top: -36px;
	}

	.problem_block .hukidashi.hukidashi_pink .bg_white {
		font-size: 12px;
		width: 20px;
		height: 20px;
	}

	.problem_block .hukidashi.hukidashi_pink:after {
		left: 28px;
		right: auto;
	}

	.problem_block h3 {
		padding-top: 24px;
	}

	.problem_block .content {
		display: flex;
		justify-content: center;
		width: calc(100% - 30px);
		gap: 0 0;
		padding: 20px 20px;
	}

	.problem_block .box {
		width: 100%;
	}

	.problem_block .pic img {
		width: 60%;
		left: 0;
	}

	.problem_block_pagination {
		text-align: center;
		margin: 26px auto 23px auto;
	}

	.problem_block_pagination .swiper-pagination-bullet {
		width: 13px;
		height: 13px;
		border-radius: 100%;
		background-color: var(--white_pink);
		opacity: 1;
	}

	.problem_block_pagination .swiper-pagination-bullet.swiper-pagination-bullet-active {
		background-color: var(--pink);
	}

	.problem_block .right {
		text-align: center;
	}

	.problem_block .jump_mark {
		margin-right: 3px;
	}
}